V2.0
post
/ec-designer-svc/rest/v2.0/studies/{studyId}/versions/{version}/forms/copyForms
Copies all the forms passed in request to the given study and version.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Query Parameters
-
include: string
Optional include filter for copy behavior. Optional.Example:
dependencies
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
array-
Array of:
object CopyForms
Title:
CopyFormsInformation about forms to be copied.
Nested Schema : CopyForms
Type:
objectTitle:
CopyFormsInformation about forms to be copied.
Show Source
-
formId(required): string
(uuid)
Form GUID
-
studyId(required): string
(uuid)
Study GUID
-
version(required): string
versionExample:
1.3.0.6
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object CopyForms
Title:
CopyFormsInformation about forms to be copied.
Nested Schema : CopyForms
Type:
objectTitle:
CopyFormsInformation about forms to be copied.
Show Source
-
studyId: integer
(int64)
Study GUID
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object